SpringConfigurationBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.SpringConfigurationBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class SpringConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.spring.SpringConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class SpringConfigurationBuilder

extends AbstractConfigurationBuilder

Adds an existing Spring ApplicationContext to Mule's internal collection of Registries.

Field Summary

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`logger`

Constructor Summary
`SpringConfigurationBuilder(org.springframework.context.ApplicationContext appContext)`
`SpringConfigurationBuilder(org.springframework.context.ConfigurableApplicationContext appContext, org.springframework.context.ApplicationContext parentContext)`

Method Summary
`protected void` | `applyLifecycle(LifecycleManager lifecycleManager)`
`protected void` | `doConfigure(MuleContext muleContext)`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringConfigurationBuilder

    public SpringConfigurationBuilder(org.springframework.context.ApplicationContext appContext)

### SpringConfigurationBuilder

    public SpringConfigurationBuilder(org.springframework.context.ConfigurableApplicationContext appContext,
                                      org.springframework.context.ApplicationContext parentContext)

Method Detail

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Specified by:
    `doConfigure` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

### applyLifecycle

    protected void applyLifecycle(LifecycleManager lifecycleManager)
                           throws Exception

  Specified by:
    `applyLifecycle` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.